Name:           glassfish-servlet-api
Version:        3.1.0
Release:        17
Summary:        API of Java Servlet
License:        (CDDL-1.1 OR GPL-2.0-with-classpath-exception) AND Apache-2.0
URL:            http://servlet-spec.java.net
Source0:        https://github.com/javaee/servlet-spec/archive/%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6.0 jvnet-parent  maven-local  maven-plugin-bundle maven-source-plugin

%description
Java Servlets is a JCP Standard technology for interacting with the web on the Java EE platform.
It is the foundation web specification in the Java Enterprise Platform. Developers can build web
applications using the Servlet API to interact with the request/response workflow.
This package provides some classes and interfaces which define and describe the contracts between
a servlet class and the runtime environment provided for an instance of such a class.

%package help
Summary:        Help documents for %{name}
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
Manauals of API and other help documents for %{name}.

%prep
%autosetup -n servlet-spec-%{version} -p1
%pom_remove_plugin :maven-remote-resources-plugin
%pom_remove_plugin :maven-javadoc-plugin
cp -p %{SOURCE1} .
%mvn_file :javax.servlet-api %{name}

%build
%mvn_alias : javax.servlet:servlet-api
%mvn_alias : org.apache.geronimo.specs:geronimo-servlet_3.0_spec
%mvn_alias : org.eclipse.jetty.orbit:javax.servlet
%mvn_build

%install
%mvn_install

%files
%doc src/main/resources/META-INF/README
%license LICENSE-2.0.txt
%_javadir/*
%{_datadir}/maven*/*

%files help
%_javadocdir/%{name}

%changelog
* Mon Nov 14 2022 wulei <wulei80@h-partners.com> - 3.1.0-17
- Updating the source code package

* Sat Dec 14 2019 zhouyihang <zhouyihang1@huawei.com> - 3.1.0-16
- Package init
